/*
 * JPA entity PK template
 */

package de.ivu.elect.business.person.entity;

@javax.enterprise.inject.Vetoed
public class PersonendatenDateiExportPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<PersonendatenDateiExportPK> {

  private static final long serialVersionUID = 0L;

  public PersonendatenDateiExportPK() {
    super();
  }

  public PersonendatenDateiExportPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "PersonendatenDateiExportPK:"+getId();
  }

  @Override
  public int compareTo(PersonendatenDateiExportPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
